Dynamic Web Pages: deutschsprachiger PHP Knotenpunkt seit 1999

Dynamic Web Pages : deutschsprachiges PHP-Handbuch : zend-mod-required-ex _

 
  PHP Journal  
  _  
 
<ZEND_MOD_OPTIONAL ZEND_MOD_REQUIRED>
Letzte Aktualisierung: Mon, 13 Oct 2014
 

ZEND_MOD_REQUIRED_EX

ZEND_MOD_REQUIRED_EX -- Create a full dependency entry for the required version of an extension

Beschreibung

#include <zend_modules.h>

void ZEND_MOD_REQUIRED_EX ( char * name, char * rel, char * ver )

ZEND_MOD_REQUIRED_EX() generates a zend_module_dep entry for the extension named by ext_name, including version information. It allows to specify requirements like "up to version x.y", "starting with version x.y" or "exactly version x.y".

Warnung

Version specific comparisons are not implemented yet, so for now ZEND_MOD_REUQUIRE() and ZEND_MOD_REQUIRE_EX() define identical behavior.

Parameter Liste

name

Name of the required extension

rel

Comparison operator, one of eq, lt, le, gt, or ge

ver

Version string

Rückgabewerte

Code to register the required extension

Siehe auch

See ZEND_MOD_REQUIRED() if you do not need to specify extension version requirements.

See also ZEND_MOD_OPTIONAL(), ZEND_MOD_OPTIONAL_EX(), ZEND_MOD_CONFLICTS(), and ZEND_MOD_CONFLICTS_EX().



<ZEND_MOD_OPTIONAL ZEND_MOD_REQUIRED>
Letzte Aktualisierung: Mon, 13 Oct 2014
 


powered by Hetzner
top Alle Rechte vorbehalten. © Dynamic Web Pages 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 top

Werbung an/aus Werbung aus Werbung an